<?php
##############################################################
# FILENAME  : clan.php
# COPYRIGHT : (c) 2006, Tyler N. King <aibotca@yahoo.ca>
# GPL v2.0 or later. See docs/COPYING.
##############################################################
# This program is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; 
# either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with this program; if not, write to the 
# Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
# Boston, MA  02110-1301  USA
##############################################################
/**
 * Clan class
 * This takes clan information default to the user's logged in clan, or takes information from the DB for a specific clan.
 */
class clan
{
	/**
	 * Contains the clan's information.
	 *
	 * @var array
	 */
	var $data;

	/**
	 * Contains the clan's ID.
	 *
	 * @var integer
	 */
	var $clan_id;

	/**
	 * Gets the user's clan information.
	 */
	function clan ( )
	{
		global	$db;
		global	$userdata;

		// Get the clan the user is logged into and grab it's data.
		$sql		= 'SELECT * FROM ' . USERS_TABLE . ' WHERE user_id = ' . $userdata[ 'user_id' ];
		$result		= $db->sql_query ( $sql );
		$row		= $db->sql_fetchrow ( $result );
		$this->clan_id	= $row[ 'clan_session' ];
		$this->data	= $this->data ( );
	}

	/**
	 * Populates the array of data based on information from the arguments.
	 *
	 * @param string $grab
	 * @param integer $clan_id
	 * @return array
	 */
	function data ( $grab = '', $clan_id = '' )
	{
		global	$db;

		// Are we dealing with a request or default request?
		$type	= ( !empty ( $clan_id ) ) ? $clan_id : $this->clan_id;

		// Get the clan's information.
		$sql	= 'SELECT * FROM ' . CLANS_TABLE . ' WHERE clan_id = ' . $type;
		$result	= $db->sql_query ( $sql );
		$row	= $db->sql_fetchrow ( $result );

		return ( !empty ( $grab ) ) ? $row[ $grab ] : $row;
	}
}

?>