<?php
##############################################################
# FILENAME  : ladder.php
# COPYRIGHT : (c) 2006, Tyler N. King <aibotca@yahoo.ca>
# GPL v2.0 or later. See docs/COPYING.
##############################################################
# This program is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; 
# either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with this program; if not, write to the 
# Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
# Boston, MA  02110-1301  USA
##############################################################
/**
 * Ladder Class
 * This gets ladder information based on requests.
 */
class ladder
{
	/**
	 * Contains the clan's information.
	 *
	 * @var array
	 */
	var $data;

	/**
	 * Inits the class and populates the data object.
	 */
	function ladder ( )
	{
		$this->data	= $this->data ( );
	}

	/**
	 * Populates the array of data based on information from the arguments.
	 *
	 * @param string $grab
	 * @param integer $ladder_id
	 * @return array
	 */
	function data ( $grab = '', $ladder_id = '' )
	{
		global	$db;
		global	$http_vars;

		// Are we dealing with a request or default request?
		$type		= ( !empty ( $ladder_id ) ) ? $ladder_id : $http_vars[ 'ladder_id' ];

		// Get the ladder's information.
		$sql		= 'SELECT * FROM ' . LADDERS_TABLE . ' WHERE ladder_id = ' . $type;
		$result	= $db->sql_query ( $sql );
		$row		= $db->sql_fetchrow ( $result );

		return ( !empty ( $grab ) ) ? $row[ $grab ] : $row;
	}
}

?>