<?php
##############################################################
# FILENAME  : mod_mcpjlclan.php
# COPYRIGHT : (c) 2006, Tyler N. King <aibotca@yahoo.ca>
# GPL v2.0 or later. See docs/COPYING.
##############################################################
# This program is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; 
# either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with this program; if not, write to the 
# Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
# Boston, MA  02110-1301  USA
##############################################################
/**
 * ACP MCP Join/Leave Clan Class.
 * Lets the user join a clan via invite or leave the clan.
 */
class mod_mcpjlclan
{
	/**
	 * Initilizes the class and displays the module.
	 */
	function mod_mcpjlclan ( )
	{
		// Include the globals needed to run this module.
		global	$db;
		global	$http_vars;
		global	$userdata;
		global	$lang;
		global	$template;
		global	$clan;

		// Joining a clan via invite ?
		if ( $http_vars[ 'type' ] == 1 )
		{
			// Yes. Get the invite from the database.
			$sql	= 'SELECT * FROM ' . INVITES_TABLE . ' WHERE invite_clan = "' . $http_vars[ 'clan_id' ] . '" AND invite_to = "' . $userdata[ 'user_id' ] . '"';
			$result	= $db->sql_query ( $sql );
			$row	= $db->sql_fetchrow ( $result );

			if ( $db->sql_numrows ( $result ) > 0 )
			{
				// Add the user to the clan, the invite is valid.
				$new_members	= $clan->data ( 'clan_members', $http_vars[ 'clan_id' ] ) . '|' . $userdata[ 'user_id' ];
				$sql	= 'UPDATE ' . CLANS_TABLE . ' SET clan_members = "' . $new_members . '" WHERE clan_id = ' . $http_vars[ 'clan_id' ];
				$db->sql_query ( $sql );

				// Delete the invite.
				$sql	= 'DELETE FROM ' . INVITES_TABLE . ' WHERE invite_id = ' . $row[ 'invite_id' ];
				$db->sql_query ( $sql );

				// Completed. Let the user know.
				message_die ( GENERAL_MESSAGE, $lang[ 'rivals_uaatc' ] );
			}
			else
			{
				// Invalid invite. Let the user know.
				message_die ( GENERAL_ERROR, $lang[ 'rivals_unsi' ] );
			}

			// Completed. Let the user know.
			message_die ( GENERAL_ERROR, $lang[ 'rivals_unsi' ] );
		}
		else
		{
			// User is leaving the clan. Purge the user.
			$new_members	= str_replace ( '|' . $userdata[ 'user_id' ], '', $clan->data ( 'clan_members', $http_vars[ 'clan_id' ] ) );

			$sql	= 'UPDATE ' . CLANS_TABLE . ' SET clan_members = "' . $new_members . '" WHERE clan_id = ' . $http_vars[ 'clan_id' ];
			$db->sql_query ( $sql );

			// Completed. Let the user know.
			message_die ( GENERAL_MESSAGE, $lang[ 'rivals_4mo' ] );
		}
	}
}

?>
