<?php
##############################################################
# FILENAME  : mod_tournamentssponsors.php
# COPYRIGHT : (c) 2006, Tyler N. King <aibotca@yahoo.ca>
# GPL v2.0 or later. See docs/COPYING.
##############################################################
# This program is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; 
# either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with this program; if not, write to the 
# Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
# Boston, MA  02110-1301  USA
##############################################################
/**
 * ACP Tournaments Sponsors Class.
 * Shows the sponsors for the tournament.
 */
class mod_tournamentssponsors
{
	/**
	 * Initilizes the class and displays the module.
	 */
	function mod_tournamentssponsors ( )
	{
		// Include the globals needed to run this module.
		global	$db;
		global	$http_vars;
		global	$userdata;
		global	$lang;
		global	$template;

		// Get the list of sponsors from the database.
		$sql	= 'SELECT * FROM ' . SPONSORS_TABLE . ' WHERE sponsor_tournament = ' . $http_vars[ 'tournament_id' ];
		$result	= $db->sql_query ( $sql );

		for ( $i = 0; $i < $db->sql_numrows ( $result ); $i++ )
		{
			$row	= $db->sql_fetchrow ( $result );

			// Assign them to the template.
			$template->assign_block_vars ( 'block_sponsors', array (
				'S_SPONSORIMG' => $row[ 'sponsor_image' ],
				'S_ROWCOLOR' => ( $i % 2 ) ? 'row1' : 'row2',
				'U_SPONSOR' => $row[ 'sponsor_url' ],
				'S_SPONSORDESC' => $row[ 'sponsor_desc' ] )
			);
		}

		$template->set_filenames ( array (
			'body' => 'rivals/ts_mode5.tpl' )
		);
		$template->pparse ( 'body' );
	}
}

?>
